Do not miss any Kitsu API changes, ever again

Subscribe to the Kitsu API changelog to be up to date on recent changes.

RSS

about 2 hours ago

main
1.0.94
Compare

API structure has changed

7 structure changes including:
7 Modifications
Modified 7 Breaking
GET /data/persons/{person_id}/quota-shots/day/{year}/{month}/{day}
  • Query
  • project_id, task_type_id query parameters Added
GET /data/persons/{person_id}/quota-shots/month/{year}/{month}
  • Query
  • project_id, task_type_id query parameters Added
GET /data/persons/{person_id}/quota-shots/week/{year}/{week}
  • Query
  • project_id, task_type_id query parameters Added
GET /data/persons/{person_id}/time-spents
  • Response
  • 200 response Modified
    • application/json content type Modified
      • project_id, task_type_id properties Added
GET /data/projects/{project_id}/quotas/persons/{person_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • * property Modified
        • count property Modified
          • Type went from integer to number
            Breaking
GET /data/projects/{project_id}/quotas/{task_type_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • * property Modified
        • count property Modified
          • Type went from integer to number
            Breaking
GET /data/user/time-spents
  • Response
  • 200 response Modified
    • application/json content type Modified
      • project_id, task_type_id properties Added